## gimpdisplay gimpdisplay — Functions to create, delete and flush displays (views) on an image. |

## Functions

gint32 | gimp_display_new ()
gboolean | gimp_display_delete ()
gboolean | gimp_display_is_valid ()
gint | gimp_display_get_window_handle ()
gboolean | gimp_displays_flush ()
gboolean | gimp_displays_reconnect ()

## Description

Functions to create, delete and flush displays (views) on an image.

## Functions

### gimp_display_new ()

    gint32
    gimp_display_new (gint32 image_ID);

Create a new display for the specified image.

Creates a new display for the specified image. If the image already has a display, another is added. Multiple displays are handled transparently by GIMP. The newly created display is returned and can be subsequently destroyed with a call to `gimp_display_delete()`. This procedure only makes sense for use with the GIMP UI, and will result in an execution error if called when GIMP has no UI.

#### Parameters

image_ID | The image. |

#### Returns

The new display.

### gimp_display_delete ()

    gboolean
    gimp_display_delete (gint32 display_ID);

Delete the specified display.

This procedure removes the specified display. If this is the last remaining display for the underlying image, then the image is deleted also. Note that the display is closed no matter if the image is dirty or not. Better save the image before calling this procedure.

#### Parameters

display_ID | The display to delete. |

#### Returns

TRUE on success.

### gimp_display_is_valid ()

    gboolean
    gimp_display_is_valid (gint32 display_ID);

Returns TRUE if the display is valid.

This procedure checks if the given display ID is valid and refers to an existing display.

#### Parameters

display_ID | The display to check. |

#### Returns

Whether the display ID is valid.

Since: 2.4

### gimp_display_get_window_handle ()

    gint
    gimp_display_get_window_handle (gint32 display_ID);

Get a handle to the native window for an image display.

This procedure returns a handle to the native window for a given image display. For example in the X backend of GDK, a native window handle is an Xlib XID. A value of 0 is returned for an invalid display or if this function is unimplemented for the windowing system that is being used.

#### Parameters

display_ID | The display to get the window handle from. |

#### Returns

The native window handle or 0.

Since: 2.4

### gimp_displays_flush ()

    gboolean
    gimp_displays_flush (void);

Flush all internal changes to the user interface

This procedure takes no arguments and returns nothing except a success status. Its purpose is to flush all pending updates of image manipulations to the user interface. It should be called whenever appropriate.

#### Returns

TRUE on success.

### gimp_displays_reconnect ()

    gboolean
    gimp_displays_reconnect (gint32 old_image_ID,
                             gint32 new_image_ID);

Reconnect displays from one image to another image.

This procedure connects all displays of the old_image to the new_image. If the old_image has no display or new_image already has a display the reconnect is not performed and the procedure returns without success. You should rarely need to use this function.

#### Parameters

old_image_ID | The old image (must have at least one display). |
new_image_ID | The new image (must not have a display). |

#### Returns

TRUE on success.